# studio::DialogSettings Class Reference

`#include <dialogsettings.h>`

Inheritance diagram for studio::DialogSettings:

List of all members.

## Public Member Functions

| DialogSettings (Gtk::Window *window, const synfig::String &name)
virtual | ~DialogSettings ()
virtual bool | get_value (const synfig::String &key, synfig::String &value) const
virtual bool | set_value (const synfig::String &key, const synfig::String &value)
virtual KeyList | get_key_list () const

## Constructor & Destructor Documentation

DialogSettings::DialogSettings | ( | Gtk::Window * | window,
|  | const synfig::String & | name |
| ) |  |  |

References synfigapp::Main::settings().

DialogSettings::~DialogSettings | ( |  | ) | `[virtual]`

References synfigapp::Main::settings().

## Member Function Documentation

bool DialogSettings::get_value | ( | const synfig::String & | key,
|  | synfig::String & | value |
| ) |  |  | const`[virtual]`

Reimplemented from synfigapp::Settings.

References synfigapp::Settings::get_value().

bool DialogSettings::set_value | ( | const synfig::String & | key,
|  | const synfig::String & | value |
| ) |  |  | `[virtual]`

Reimplemented from synfigapp::Settings.

References synfigapp::Settings::set_value().

synfigapp::Settings::KeyList DialogSettings::get_key_list | ( |  | ) | const`[virtual]`

Reimplemented from synfigapp::Settings.

References synfigapp::Settings::get_key_list().

The documentation for this class was generated from the following files:

- dialogsettings.h
- dialogsettings.cpp